import type { _NSOpenGLContext } from "./NSOpenGLContext.js";
import type { _NSOpenGLPixelFormat } from "./NSOpenGLPixelFormat.js";
import type { _NSView } from "./NSView.js";
import type { CGRect } from "../structs/CGRect.js";
export declare class _NSOpenGLView extends _NSView {
    static alloc(): _NSOpenGLView;
    static new(): _NSOpenGLView;
    init(): _NSOpenGLView;
    static defaultPixelFormat(): _NSOpenGLPixelFormat;
    initWithFrame$pixelFormat$(frameRect: CGRect, format: _NSOpenGLPixelFormat | null): _NSOpenGLView | null;
    clearGLContext(): void;
    /** moved or resized */
    update(): void;
    /** scrolled, moved or resized */
    reshape(): void;
    prepareOpenGL(): void;
    openGLContext(): _NSOpenGLContext | null;
    setOpenGLContext$(value: _NSOpenGLContext | null): void;
    pixelFormat(): _NSOpenGLPixelFormat | null;
    setPixelFormat$(value: _NSOpenGLPixelFormat | null): void;
    wantsBestResolutionOpenGLSurface(): boolean;
    setWantsBestResolutionOpenGLSurface$(value: boolean): void;
    wantsExtendedDynamicRangeOpenGLSurface(): boolean;
    setWantsExtendedDynamicRangeOpenGLSurface$(value: boolean): void;
}
